"""Change ossf scorecard data to store json

Revision ID: 11
Revises: 10
Create Date: 2023-02-28 15:25:23.782137

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '11'
down_revision = '10'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.add_column('repo_deps_scorecard', sa.Column('scorecard_check_details', postgresql.JSONB(astext_type=sa.Text()), nullable=True), schema='augur_data')
    op.drop_column('repo_deps_scorecard', 'status', schema='augur_data')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('repo_deps_scorecard', sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=True), schema='augur_data')
    op.drop_column('repo_deps_scorecard', 'scorecard_check_details', schema='augur_data')
    # ### end Alembic commands ###
