"""Commit performance update

Revision ID: 15
Revises: 14
Create Date: 2023-02-23 10:14:08.787528

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql
from sqlalchemy.sql import text
import re


# revision identifiers, used by Alembic.
revision = '15'
down_revision = '14'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()
    conn.execute(text(f"""
          ALTER TABLE "augur_data"."commits" 
          DROP CONSTRAINT "cmt_ght_author_cntrb_id_fk",
          ADD CONSTRAINT "cmt_ght_author_cntrb_id_fk" FOREIGN KEY ("cmt_ght_author_id") REFERENCES "augur_data"."contributors" ("cntrb_id") ON DELETE RESTRICT ON UPDATE CASCADE DEFERRABLE INITIALLY DEFERRED;
        """))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()
    conn.execute(text(f"""
          ALTER TABLE "augur_data"."commits" 
          DROP CONSTRAINT "cmt_ght_author_cntrb_id_fk",
          ADD CONSTRAINT "cmt_ght_author_cntrb_id_fk" FOREIGN KEY ("cmt_ght_author_id") REFERENCES "augur_data"."contributors" ("cntrb_id");
        """))
    pass
    # ### end Alembic commands ###
