"""No null repo_path and repo_name

Revision ID: 7
Revises: 6
Create Date: 2023-02-23 10:14:08.787528

"""
from alembic import op
from sqlalchemy.sql import text
from augur.application.db.models import Repo


# revision identifiers, used by Alembic.
revision = '7'
down_revision = '6'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    conn = op.get_bind()
    result = conn.execute(text("""SELECT * FROM repo WHERE repo_path IS NULL or repo_name IS NULL;""")).fetchall()
    if result:

        for row in result:

            owner_name, repo_name = Repo.parse_github_repo_url(row.repo_git)
            if not owner_name or not repo_name:
                continue

            repo_path = f"github.com/{owner_name}/"
        
            conn.execute(text(f"""
                UPDATE "repo"
                SET repo_path=:path,repo_name=:name
                WHERE repo_git=:repo_git
                """).bindparams(path=repo_path,name=repo_name,repo_git=row.repo_git))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    pass
    # ### end Alembic commands ###
